# Semantic Release Automated Changelog

# [4.0.0](https://github.com/AlaskaAirlines/auro-background/compare/v3.1.2...v4.0.0) (2025-02-28)


* feat!: move peer dependencies to "real" dependencies ([6e0495b](https://github.com/AlaskaAirlines/auro-background/commit/6e0495b570b3c52245be67262ce729be688b4dde))


### BREAKING CHANGES

* last change was breaking _on a patch version_ because of peer dependencies

Summary:
  Our current build process relies on peer dependencies being present, but
  the peer dependency pipeline is causing far more issues than it's worth.
  Why not just make them regular dependencies? This is what this PR does :)

## [3.1.2](https://github.com/AlaskaAirlines/auro-background/compare/v3.1.1...v3.1.2) (2025-02-08)


### Bug Fixes

* add in missing npm script ([0043770](https://github.com/AlaskaAirlines/auro-background/commit/0043770b36ce486982931e194084130c11585d38))


### Performance Improvements

* update dependencies ([1a06cd1](https://github.com/AlaskaAirlines/auro-background/commit/1a06cd1e0e766bcd58b9c43c636d1963f76aa10f))
* update mixin ref per npm update ([ab34609](https://github.com/AlaskaAirlines/auro-background/commit/ab346097e9da9543b75861b56279d4eb8b869d2b))
* update node to version 22 ([265675e](https://github.com/AlaskaAirlines/auro-background/commit/265675ef5cf8232d0ec5bb07994456a4b760c156))

## [3.1.1](https://github.com/AlaskaAirlines/auro-background/compare/v3.1.0...v3.1.1) (2024-11-23)


### Bug Fixes

* update markdown partial pathing to consume new auro lib [#46](https://github.com/AlaskaAirlines/auro-background/issues/46) ([aa8694f](https://github.com/AlaskaAirlines/auro-background/commit/aa8694fc7bbd6c94040f2da31d181ffc7c1e65d7))


### Performance Improvements

* update library to 3.0.2 ([5384c65](https://github.com/AlaskaAirlines/auro-background/commit/5384c6596e5a97121b10fb4f641402b8f782b348))

# [3.1.0](https://github.com/AlaskaAirlines/auro-background/compare/v3.0.2...v3.1.0) (2024-10-24)


### Features

* **api:** add register static method [#44](https://github.com/AlaskaAirlines/auro-background/issues/44) ([9d6aa28](https://github.com/AlaskaAirlines/auro-background/commit/9d6aa287d2f09cdfab256592f97401728ec3124c))


### Performance Improvements

* update dependency versions ([a0b2410](https://github.com/AlaskaAirlines/auro-background/commit/a0b2410f8fd7d0edce506fd1a0a63d357b3a63d3))

## [3.0.2](https://github.com/AlaskaAirlines/auro-background/compare/v3.0.1...v3.0.2) (2024-10-09)


### Bug Fixes

* moves auro library to dependencies in package.json [#42](https://github.com/AlaskaAirlines/auro-background/issues/42) ([bb87c07](https://github.com/AlaskaAirlines/auro-background/commit/bb87c073fed27d7e0b7f5b9f67f3d45bca12ba2a))

## [3.0.1](https://github.com/AlaskaAirlines/auro-background/compare/v3.0.0...v3.0.1) (2024-10-08)


### Bug Fixes

* add tier 3 semantic token section [#40](https://github.com/AlaskaAirlines/auro-background/issues/40) ([7d8e627](https://github.com/AlaskaAirlines/auro-background/commit/7d8e627d9a11f40b547b16e938c1f948f2b69c04))


### Performance Improvements

* add component name to tier 3 token ([c1add92](https://github.com/AlaskaAirlines/auro-background/commit/c1add92762d716f4060f205741c74d6938f69701))
* update dependencies ([6e00820](https://github.com/AlaskaAirlines/auro-background/commit/6e008207af346919495c0f869fde9683f8e22f75))

# [3.0.0](https://github.com/AlaskaAirlines/auro-background/compare/v2.1.4...v3.0.0) (2024-09-30)


### Bug Fixes

* remove beta releases from changelog ([7479962](https://github.com/AlaskaAirlines/auro-background/commit/747996236a74f35fb865ac6bc9f6bd1a0f4e5808))


### Features

* add component name as attribute during custom registration ([762e9f2](https://github.com/AlaskaAirlines/auro-background/commit/762e9f2eddb81a6dc9ed84c143cce6929ecc5446))
* update color styles for theming support [#31](https://github.com/AlaskaAirlines/auro-background/issues/31) ([cccb59e](https://github.com/AlaskaAirlines/auro-background/commit/cccb59ebb152f2667304f0e6dba7600fcc7198e5))


### Performance Improvements

* refactor custom component registration ([c69924a](https://github.com/AlaskaAirlines/auro-background/commit/c69924a5ca249fd44814007ca6c2c338910029e2))
* remove color stylesheet ([8f38a3a](https://github.com/AlaskaAirlines/auro-background/commit/8f38a3aafaccf21de92ee5bfa8b44f0404000cac))
* update dependencies ([a0a33e7](https://github.com/AlaskaAirlines/auro-background/commit/a0a33e76c7cb1d1dea592dffc7afc3e3ec4323af))
* update dependencies ([a0057b0](https://github.com/AlaskaAirlines/auro-background/commit/a0057b0a734cfcc206c9a2f135abb3760a0691ee))
* update linter dependencies and cleanup rule exclusions ([a21fcd8](https://github.com/AlaskaAirlines/auro-background/commit/a21fcd84165329f8d00f76597c137b943a531c28))
* use auro-library scripts for build process ([3c3fc0b](https://github.com/AlaskaAirlines/auro-background/commit/3c3fc0bd1bd3683e91a439a628aa0b5bfc160b1a))


### BREAKING CHANGES

* trigger major release for color theme support #31

## [2.1.4](https://github.com/AlaskaAirlines/auro-background/compare/v2.1.3...v2.1.4) (2024-05-13)


### Bug Fixes

* **docs:** update generateDocs script to replace version numbers during build ([bd3726f](https://github.com/AlaskaAirlines/auro-background/commit/bd3726f5cf4717589e979a2a4d78e5d8899ddfc3))


### Performance Improvements

* **images:** update path of images ([d886532](https://github.com/AlaskaAirlines/auro-background/commit/d886532d9641ccdd6d9c1c45893cf64323659b68))

## [2.1.3](https://github.com/AlaskaAirlines/auro-background/compare/v2.1.2...v2.1.3) (2024-02-13)


### Performance Improvements

* update auro dependencies ([16fce0d](https://github.com/AlaskaAirlines/auro-background/commit/16fce0db5635ff730ee42b8ab8f4cc999dff577a))

## [2.1.2](https://github.com/AlaskaAirlines/auro-background/compare/v2.1.1...v2.1.2) (2024-02-07)


### Bug Fixes

* **import:** index.js now import correct class path [#26](https://github.com/AlaskaAirlines/auro-background/issues/26) ([ba87047](https://github.com/AlaskaAirlines/auro-background/commit/ba870479ca7d7aaefb462f4b965ed7e1502625a6))

## [2.1.1](https://github.com/AlaskaAirlines/auro-background/compare/v2.1.0...v2.1.1) (2024-01-27)


### Performance Improvements

* update index per SSR support ([619d22a](https://github.com/AlaskaAirlines/auro-background/commit/619d22a4d6b5ae9fc85f77022399efd132d8b0a2))

# [2.1.0](https://github.com/AlaskaAirlines/auro-background/compare/v2.0.1...v2.1.0) (2024-01-18)


### Bug Fixes

* **script:** update script path for docs ([e695ec9](https://github.com/AlaskaAirlines/auro-background/commit/e695ec936dce8c4b6f63773a8d80c442d9e9d2ac))


### Features

* **SSR:** add support for SSR projects [#21](https://github.com/AlaskaAirlines/auro-background/issues/21) ([b9d81de](https://github.com/AlaskaAirlines/auro-background/commit/b9d81de2388c1a0915d31de7e6a40a0232d2d7f6))


### Performance Improvements

* **generator:** update repo with generator [#22](https://github.com/AlaskaAirlines/auro-background/issues/22) ([8726410](https://github.com/AlaskaAirlines/auro-background/commit/8726410029a3d24c6b80902ce38ad3f700f02dcb))
* **renovate:** implement node 20 and theming support [#22](https://github.com/AlaskaAirlines/auro-background/issues/22) [#23](https://github.com/AlaskaAirlines/auro-background/issues/23) ([663b205](https://github.com/AlaskaAirlines/auro-background/commit/663b20525ca6e81df856735283e40a79c8dc7abb))

## [2.0.1](https://github.com/AlaskaAirlines/auro-background/compare/v2.0.0...v2.0.1) (2024-01-09)


### Performance Improvements

* **release:** update to use latest semantic release ([b1537c8](https://github.com/AlaskaAirlines/auro-background/commit/b1537c8e5af3d9da93c7dab8aa1b27f5964151b4))
* **token:** update token per new theming [#15](https://github.com/AlaskaAirlines/auro-background/issues/15) ([113b97d](https://github.com/AlaskaAirlines/auro-background/commit/113b97d6cf12c95cbb23299b538558885800ee14))

# [2.0.0](https://github.com/AlaskaAirlines/aurolabs-background/compare/v1.5.0...v2.0.0) (2021-09-15)


### Code Refactoring

* **generator migration:** migrate repo to latest generator build ([d43fa3c](https://github.com/AlaskaAirlines/aurolabs-background/commit/d43fa3c97cc75214a4f3edf6bb7a2a89d6856131))


### BREAKING CHANGES

* **generator migration:** This migration incudes the updated npm namespace
@aurodesignsystem/background thus fully deprecating the auroLabs version

# [1.5.0](https://github.com/AlaskaAirlines/aurolabs-background/compare/v1.4.1...v1.5.0) (2021-09-08)


### Features

* **attribute:** change use of inset attribute ([c2e8418](https://github.com/AlaskaAirlines/aurolabs-background/commit/c2e841810cd2caa5400edd816ea37ca1708df446))

## [1.4.1](https://github.com/AlaskaAirlines/aurolabs-background/compare/v1.4.0...v1.4.1) (2021-08-31)


### Bug Fixes

* **readme:** add missing info to readme ([1967423](https://github.com/AlaskaAirlines/aurolabs-background/commit/19674232cfae775d30f40f72efaf36d7351a21e6))

# [1.4.0](https://github.com/AlaskaAirlines/aurolabs-background/compare/v1.3.0...v1.4.0) (2021-08-26)


### Bug Fixes

* **docs:** update readme, update depdencies; trigger build ([d84ec5d](https://github.com/AlaskaAirlines/aurolabs-background/commit/d84ec5ddefa2a25ba7b2fc40fcd3ee62aa5038c6))


### Features

* remove support for IE bundle ([125339e](https://github.com/AlaskaAirlines/aurolabs-background/commit/125339e535879acd8dc65aee838a58653b6ccac4))

# [1.3.0](https://github.com/AlaskaAirlines/aurolabs-background/compare/v1.2.6...v1.3.0) (2021-06-07)


### Bug Fixes

* rebuilds API docs and updates unit test ([e0bc519](https://github.com/AlaskaAirlines/aurolabs-background/commit/e0bc519a44ed7a52cc1190d67a9da7793efce5af))


### Features

* use height instead of min-heaght ([73599fd](https://github.com/AlaskaAirlines/aurolabs-background/commit/73599fd8704ca81ec625574335c7075a48a3ed3b))

## [1.2.6](https://github.com/AlaskaAirlines/aurolabs-background/compare/v1.2.5...v1.2.6) (2021-06-05)


### Bug Fixes

* importantify min-height ([5dd5d66](https://github.com/AlaskaAirlines/aurolabs-background/commit/5dd5d664bd1515590df2ab9c16855bc012f9752f))

## [1.2.5](https://github.com/AlaskaAirlines/aurolabs-background/compare/v1.2.4...v1.2.5) (2021-06-05)


### Bug Fixes

* height change ([d2532a2](https://github.com/AlaskaAirlines/aurolabs-background/commit/d2532a27ddfb23de00077bab136304a29adea182))

## [1.2.4](https://github.com/AlaskaAirlines/aurolabs-background/compare/v1.2.3...v1.2.4) (2021-06-05)


### Bug Fixes

* use height instead of min-height everywhere ([9bcdc53](https://github.com/AlaskaAirlines/aurolabs-background/commit/9bcdc53b2401bc7dee2d1629416668474074bf6a))

## [1.2.3](https://github.com/AlaskaAirlines/aurolabs-background/compare/v1.2.2...v1.2.3) (2021-06-05)


### Bug Fixes

* attempt using encapsulated divs for other sizes ([e6d9585](https://github.com/AlaskaAirlines/aurolabs-background/commit/e6d9585eb054eee197996930f0aefc114f0f311e))
* linting issues ([e297a2f](https://github.com/AlaskaAirlines/aurolabs-background/commit/e297a2fae34d9f54f5b07eed32e881f00371fe4a))
* use height instead of min-height ([1ff22b7](https://github.com/AlaskaAirlines/aurolabs-background/commit/1ff22b742a7007d0a71b1891e99e2c4936f5294d))

## [1.2.2](https://github.com/AlaskaAirlines/aurolabs-background/compare/v1.2.1...v1.2.2) (2021-06-04)


### Bug Fixes

* build issues ([2b38789](https://github.com/AlaskaAirlines/aurolabs-background/commit/2b387895efbd263fb6746f9f1018cc8b9ef8b3bb))
* use multiple divs and slots instead of rendering style tag ([2e37271](https://github.com/AlaskaAirlines/aurolabs-background/commit/2e372710eca80212d7dbc1531fb79779626b8b5d))

## [1.2.1](https://github.com/AlaskaAirlines/aurolabs-background/compare/v1.2.0...v1.2.1) (2021-06-04)


### Bug Fixes

* remove random number ([f6ec80b](https://github.com/AlaskaAirlines/aurolabs-background/commit/f6ec80bc215d69f8a015720271b438577024c113))

# [1.2.0](https://github.com/AlaskaAirlines/aurolabs-background/compare/v1.1.0...v1.2.0) (2021-06-04)


### Features

* try with unique scope ([f1985ac](https://github.com/AlaskaAirlines/aurolabs-background/commit/f1985ac78578a1e4afb61507d8643e1b9179baea))

# [1.1.0](https://github.com/AlaskaAirlines/aurolabs-background/compare/v1.0.3...v1.1.0) (2021-06-04)


### Features

* try with unique id per component ([676f73b](https://github.com/AlaskaAirlines/aurolabs-background/commit/676f73bddb17630cdc164b9e7d636756f0413afb))

## [1.0.3](https://github.com/AlaskaAirlines/aurolabs-background/compare/v1.0.2...v1.0.3) (2021-06-03)


### Bug Fixes

* remove jsx attribute from style tag, add scoped ([0a868a1](https://github.com/AlaskaAirlines/aurolabs-background/commit/0a868a11e3e452be92c1f568713f66455988057b))

## [1.0.2](https://github.com/AlaskaAirlines/aurolabs-background/compare/v1.0.1...v1.0.2) (2021-06-03)


### Bug Fixes

* add jsx to style tag ([0abd395](https://github.com/AlaskaAirlines/aurolabs-background/commit/0abd395b809d1335ac20e3fb022fe34c4254fd3e))

## [1.0.1](https://github.com/AlaskaAirlines/aurolabs-background/compare/v1.0.0...v1.0.1) (2021-06-02)


### Bug Fixes

* rename package from aurolabs-banner to auro-banner ([2c8f904](https://github.com/AlaskaAirlines/aurolabs-background/commit/2c8f904acb22092ba12eda8f2ab93c37c3dca73b))

# 1.0.0 (2021-06-01)


### Features

* Add debugging to release ([91f9ef5](https://github.com/AlaskaAirlines/aurolabs-background/commit/91f9ef52a34f863ae04f86c8605983434af65ad7))
* fix urls and repo name ([b87d07f](https://github.com/AlaskaAirlines/aurolabs-background/commit/b87d07f0fee9c9958699ec46eba6071a40dd79c4))
* initial commit of auro-background ([c54f2eb](https://github.com/AlaskaAirlines/aurolabs-background/commit/c54f2eba055bb8c58a68fb15f120cb7da597cb14))
* trigger build ([2d9fe38](https://github.com/AlaskaAirlines/aurolabs-background/commit/2d9fe38ea2e31864a3ac7bf1d2832681dbab847c))
* trigger release ([01955a3](https://github.com/AlaskaAirlines/aurolabs-background/commit/01955a31f8fe525c59792a0fc41eab684f4cd36c))
* update release debugging ([eb4e279](https://github.com/AlaskaAirlines/aurolabs-background/commit/eb4e279c06c4cf251edde6e8341a0d298d36972c))
