/**
 * Auro-background provides users a way to add a background image or color block including a gradient.
 *
 * @attr {String} bg - Applies all breakpoints
 * @attr {String} bgSm - `breakpoint--sm` and above
 * @attr {String} bgMd - `breakpoint-md` and above
 * @attr {String} bgLg - `breakpoint-lg` and above
 * @attr {String} height - Apply minimum height value
 * @attr {String} heightSm - Apply minimum height for `breakpoint-sm` and above
 * @attr {String} heightMd - Apply minimum height for `breakpoint-md` and above
 * @attr {String} heightLg - Apply minimum height for `breakpoint-lg` and above
 * @attr {String} width - Define custom width
 * @attr {String} widthSm - Define custom width for `breakpoint-sm` and above
 * @attr {String} widthMd - Define custom with for `breakpoint-md` and above
 * @attr {String} widthLg - Define custom width for `breakpoint-lg` and above
 * @attr {String} inset - Apply internal padding
 * @attr {String} insetSm - Apply internal padding for `breakpoint-sm` and above
 * @attr {String} insetMd - Apply internal padding for `breakpoint-md` and above
 * @attr {String} insetLg - Apply internal padding for `breakpoint-lg` and above
 */
export class AuroBackground extends LitElement {
    static get properties(): {
        bg: {
            type: StringConstructor;
        };
        bgSm: {
            type: StringConstructor;
        };
        bgMd: {
            type: StringConstructor;
        };
        bgLg: {
            type: StringConstructor;
        };
        height: {
            type: StringConstructor;
        };
        heightSm: {
            type: StringConstructor;
        };
        heightMd: {
            type: StringConstructor;
        };
        heightLg: {
            type: StringConstructor;
        };
        width: {
            type: StringConstructor;
        };
        widthSm: {
            type: StringConstructor;
        };
        widthMd: {
            type: StringConstructor;
        };
        widthLg: {
            type: StringConstructor;
        };
        inset: {
            type: StringConstructor;
        };
        insetSm: {
            type: StringConstructor;
        };
        insetMd: {
            type: StringConstructor;
        };
        insetLg: {
            type: StringConstructor;
        };
    };
    static get styles(): import("lit").CSSResult[];
    /**
     * This will register this element with the browser.
     * @param {string} [name="auro-background"] - The name of element that you want to register to.
     *
     * @example
     * AuroBackground.register("custom-background") // this will register this element to <custom-background/>
     *
     */
    static register(name?: string): void;
    /**
     * @private
     */
    private runtimeUtils;
    firstUpdated(): void;
    /**
     * @private
     * @param {string} inset Value from host attribute.
     * @returns {string}
     */
    private getInsetValues;
    render(): import("lit-html").TemplateResult<1>;
}
import { LitElement } from "lit";
//# sourceMappingURL=auro-background.d.ts.map